/* Virginia Tech Cognitive Radio Open Source Systems
 * Virginia Tech, 2009
 *
 * LICENSE INFORMATION GOES HERE
 */

/* DESCRIPTION OF FILE.
 */

#ifndef DEBUG_H
#define DEBUG_H

#include <iostream>

extern bool VTCROSS_DEBUG;

#define DEBUG(class, msg) \
    if(VTCROSS_DEBUG) \
        std::cout << #class << ": " << msg << std::endl;

#define LOG(function, msg) \
    std::cout << #function << ": " << msg << std::endl;

#endif
